Subject: Re: [GSoC][PATCH v2] t: migrate t0110-urlmatch-normalization to the new framework

From: "Ghanshyam Thakkar" <[email-masked]>
Date: Wed, 14 Aug 2024 19:54:38 +0530

Junio C Hamano <[email-masked]> wrote:
> Ghanshyam Thakkar <[email-masked]> writes:
>
> > With the addition of this unit test, we impose a new restriction of
> > running the unit tests from either 't/' or 't/unit-tests/bin/'
> > directories. This is to construct the path to files which contain some
> > input urls under the 't/t-urlmatch-normalization' directory. This
> > restriction is similar to one we have for end-to-end tests, where they
> > can be ran from only 't/'.
> >
> > Addition of 't/unit-tests/bin/' is to allow
> > for running individual tests which is not currently possible via any
> > 'make' targets and also 'unit-tests-test-tool' target is also ran from
> > the 't/unit-tests/bin' directory.
>
> Sorry, but I do not quite follow. The above makes it sound as if
> the 'bin' subdirectory is something that never existed before this
> patch and this patch introduces the use of that directory, but that
> is hardly the case. What does that "Addition of" really refer to?
>
> Do you mean "we cannot run the tests from arbitrary places, and we
> allow them to be run from t/, just like the normal tests" followed
> by "in addition, we also allow them to be run from t/unit-tests/bin
> directory because ..."?

Yes, I meant that. I sent a v3 which embeds those URLs from files into
the code itself, which should not require such restriction.

Link: https://lore.kernel.org/git/[email-masked]/

Thanks.